<?php
namespace Mirasvit\Report\Ui\SchemaDataProvider;

/**
 * Interceptor class for @see \Mirasvit\Report\Ui\SchemaDataProvider
 */
class Interceptor extends \Mirasvit\Report\Ui\SchemaDataProvider implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\ReportApi\Api\SchemaInterface $schema, \Magento\Framework\Serialize\Serializer\Json $serializer, \Magento\Backend\Block\Template\Context $context)
    {
        $this->___init();
        parent::__construct($schema, $serializer, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
